// File: src/config.rs
// Author: chmod777
// Creation Date: 2021-2-24
// License: AGPLv3

pub struct Config {
	pub empty_lines_before_h: usize,
	pub empty_lines_after_h: usize,
	pub empty_lines_before_h_str: String,
	pub empty_lines_after_h_str: String,

	pub empty_lines_before_p: usize,
	pub empty_lines_after_p: usize,
	pub empty_lines_before_p_str: String,
	pub empty_lines_after_p_str: String,

	pub empty_lines_before_a: usize,
	pub empty_lines_after_a: usize,
	pub empty_lines_before_a_str: String,
	pub empty_lines_after_a_str: String,

	pub empty_lines_before_img: usize,
	pub empty_lines_between_img_alt: usize,
	pub empty_lines_after_img: usize,
	pub empty_lines_before_img_str: String,
	pub empty_lines_between_img_alt_str: String,
	pub empty_lines_after_img_str: String,

	pub empty_lines_before_list: usize,
	pub empty_lines_between_list_items: usize,
	pub empty_lines_after_list: usize,
	pub empty_lines_before_list_str: String,
	pub empty_lines_between_list_items_str: String,
	pub empty_lines_after_list_str: String,

	pub empty_lines_br: usize,
	pub empty_lines_br_str: String,

	pub convert_mydomain_links_to_gmi: Option<String>,
}
impl Default for Config {
	fn default() -> Self {
		Config {
			empty_lines_before_h: 0,
			empty_lines_after_h: 0,
			empty_lines_before_h_str: Config::empty_lines(0),
			empty_lines_after_h_str: Config::empty_lines(0),

			empty_lines_before_p: 0,
			empty_lines_after_p: 0,
			empty_lines_before_p_str: Config::empty_lines(0),
			empty_lines_after_p_str: Config::empty_lines(0),

			empty_lines_before_a: 0,
			empty_lines_after_a: 0,
			empty_lines_before_a_str: Config::empty_lines(0),
			empty_lines_after_a_str: Config::empty_lines(0),

			empty_lines_before_img: 0,
			empty_lines_between_img_alt: 0,
			empty_lines_after_img: 0,
			empty_lines_before_img_str: Config::empty_lines(0),
			empty_lines_between_img_alt_str: Config::empty_lines(0),
			empty_lines_after_img_str: Config::empty_lines(0),

			empty_lines_before_list: 0,
			empty_lines_between_list_items: 0,
			empty_lines_after_list: 0,
			empty_lines_before_list_str: Config::empty_lines(0),
			empty_lines_between_list_items_str: Config::empty_lines(0),
			empty_lines_after_list_str: Config::empty_lines(0),

			empty_lines_br: 1,
			empty_lines_br_str: Config::empty_lines(1),

			convert_mydomain_links_to_gmi: None,
		}
	}
}
impl Config {
	fn empty_lines(count: usize) -> String {
		if count == 0 {
			String::from("")
		} else {
			(0..count).map(|_| "\n").collect()
		}
	}
}
