// File: src/tests/anchors.rs
// Author: chmod777
// Creation Date: 2021-2-26
// License: AGPLv3

use crate::*;

#[test]
fn a_href() {
	let html = include_str!("data/anchors/a_href.html");
	assert_eq!(
		"=> https://gemini.circumlunar.space/ circumlunar space\n",
		convert(html)
	);
}
#[test]
fn a_href_internal() {
	let html = include_str!("data/anchors/a_href_mydomain.html");
	assert_eq!(
		"=> https://mydomain.space/article.gmi article\n",
		convert(html)
	);
}
#[test]
fn a_multiple() {
	let html = include_str!("data/anchors/a_multiple.html");
	assert_eq!(
		"=> https://gemini.circumlunar.space/ circumlunar space\
      \n=> https://mydomain.space/article.gmi article\n",
		convert(html)
	);
}
