// File: src/tests/headers.rs
// Author: chmod777
// Creation Date: 2021-2-26
// License: AGPLv3

use crate::*;

#[test]
fn single_item() {
	let html = include_str!("data/lists/single_li.html");
	assert_eq!("* Item 1\n", convert(html));
}
#[test]
fn multiple_items() {
	let html = include_str!("data/lists/multiple_li.html");
	assert_eq!("* Item 1\n* Item 2\n* Item 3\n", convert(html));
}

#[test]
fn link() {
	let html = include_str!("data/lists/a.html");
	assert_eq!(
		"=> mydomain.space My link 1\n=> myotherdomain.space My link 2\n",
		convert(html)
	);
}

#[test]
fn image() {
	let html = include_str!("data/lists/images.html");
	assert_eq!("=> mydomain.space my title 1\nmy description 1\n=> myotherdomain.space my title 2\nmy description 2\n", convert(html));
}
